QGIS Application - Feature request #873
Strings repeated many times in ts files
2007-12-16 11:13 AM - cdavila -

Status: Closed

Priority: Low

Assignee: nobody -

Category: Translations and international

Pull Request or Patch supplied: Resolution: wontfix
Easy fix?: No Copied to github as #: 10932
Description

I'm the current translator of qgis into Spanish and | also translate some other programs. | find an important difference between the
translation process of other programs, like grass, k3b, kdenlive (they all use po instead of ts files) and qgis: in the others one string needs
to be translated only once, no mater the number of times it appears in the application, but in qgis exactly the same string has to be
translated many times in some cases, resulting a great annoyance.

Would it be possible to group equal strings when code is parsed to generate ts files?
It would speed up translations and make happy most of translators.

History

#1 - 2008-07-14 03:27 PM - Tim Sutton
- Resolution set to wontfix
- Status changed from Open to Closed

| believe you can convert ts -> po -> ts using 'Translate’ (see http://translate.sourceforge.net/wiki/toolkit/ts2po). | dont think we will be directly using po

anytime soon since .ts is the Qt native format. I'm going to close this ticket, but feel free to reopen if translate doesnt provide an adequate solution.

By the way | though linquist was supposed to automatically deal with equal strings (look in the bottom area there is an option to look at gt intelligent
guesses for the word / string.

Regards

Tim

#2 - 2009-08-22 12:57 AM - Anonymous

Milestone Version 1.0.0 deleted
